summaryrefslogtreecommitdiffstats
path: root/libraries
diff options
context:
space:
mode:
author Pablo Santamaria <pablosantamaria@gmail.com>2010-05-13 00:59:11 +0200
committer Michiel van Wessem <michiel@slackbuilds.org>2010-05-13 00:59:11 +0200
commitf87caea2479e82700c66b9e1b55fabfe2808123a (patch)
treea05ab21cbf6a9a3eb7a513b1c4c3fc643274540e /libraries
parent1c6d0153f0ece1fbf6002ccdf89ee2d5cbc53525 (diff)
downloadslackbuilds-f87caea2479e82700c66b9e1b55fabfe2808123a.tar.gz
slackbuilds-f87caea2479e82700c66b9e1b55fabfe2808123a.tar.xz
libraries/perl-file-path-expand: Added to 13.0 repository
Diffstat (limited to 'libraries')
-rw-r--r--libraries/perl-file-path-expand/README3
-rw-r--r--libraries/perl-file-path-expand/perl-file-path-expand.SlackBuild80
-rw-r--r--libraries/perl-file-path-expand/perl-file-path-expand.info10
-rw-r--r--libraries/perl-file-path-expand/slack-desc19
4 files changed, 112 insertions, 0 deletions
diff --git a/libraries/perl-file-path-expand/README b/libraries/perl-file-path-expand/README
new file mode 100644
index 0000000000..961355caf1
--- /dev/null
+++ b/libraries/perl-file-path-expand/README
@@ -0,0 +1,3 @@
+File::Path::Expand expands user directories in filenames.
+For the simple case it's no more complex than s{^~/}{$HOME/},
+but for other cases it consults getpwent and does the right thing.
diff --git a/libraries/perl-file-path-expand/perl-file-path-expand.SlackBuild b/libraries/perl-file-path-expand/perl-file-path-expand.SlackBuild
new file mode 100644
index 0000000000..4de8973efb
--- /dev/null
+++ b/libraries/perl-file-path-expand/perl-file-path-expand.SlackBuild
@@ -0,0 +1,80 @@
+#!/bin/sh
+
+# Slackware build script for perl-file-path-expand
+
+# Written by Pablo Santamaria (pablosantamaria@gmail.com)
+
+PRGNAM=perl-file-path-expand
+SRCNAM=File-Path-Expand
+VERSION=${VERSION:-1.02}
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $SRCNAM-$VERSION
+tar xvf $CWD/$SRCNAM-$VERSION.tar.gz
+cd $SRCNAM-$VERSION
+
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+perl Makefile.PL INSTALLDIRS=vendor INSTALLVENDORMAN3DIR=/usr/man/man3
+make
+make install DESTDIR=$PKG
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null || true
+)
+
+( cd $PKG/usr/man
+ find . -type f -exec gzip -9 {} \;
+ for i in $( find . -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+)
+
+# Remove perlocal.pod, .packlist and .bs from $PKG
+( cd $PKG
+ find . -name perllocal.pod \
+ -o -name ".packlist" \
+ -o -name "*.bs" \
+ | xargs rm -f
+)
+
+find $PKG -depth -type d -empty -exec rmdir {} \;
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a Changes $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/libraries/perl-file-path-expand/perl-file-path-expand.info b/libraries/perl-file-path-expand/perl-file-path-expand.info
new file mode 100644
index 0000000000..38d94f7f42
--- /dev/null
+++ b/libraries/perl-file-path-expand/perl-file-path-expand.info
@@ -0,0 +1,10 @@
+PRGNAM="perl-file-path-expand"
+VERSION="1.02"
+HOMEPAGE="http://search.cpan.org/~rclamp/File-Path-Expand-1.02/"
+DOWNLOAD="http://search.cpan.org/CPAN/authors/id/R/RC/RCLAMP/File-Path-Expand-1.02.tar.gz"
+MD5SUM="742aa40a4ffb26d14de01192764bd7ab"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Pablo Santamaria"
+EMAIL="pablosantamaria@gmail.com"
+APPROVED="michiel"
diff --git a/libraries/perl-file-path-expand/slack-desc b/libraries/perl-file-path-expand/slack-desc
new file mode 100644
index 0000000000..066f26980c
--- /dev/null
+++ b/libraries/perl-file-path-expand/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+perl-file-path-expand: perl-file-path-expand (expand filenames)
+perl-file-path-expand:
+perl-file-path-expand: File::Path::Expand expands user directories in filenames.
+perl-file-path-expand: For the simple case it's no more complex than s{^~/}{$HOME/}, but
+perl-file-path-expand: or other cases it consults getpwent and does the right thing.
+perl-file-path-expand:
+perl-file-path-expand:
+perl-file-path-expand:
+perl-file-path-expand:
+perl-file-path-expand:
+perl-file-path-expand: